load_wav_pf(3)

NAME
load_wav_pf - Packfile version of load_wav. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

SAMPLE *load_wav_pf(PACKFILE *f);

DESCRIPTION
A version of load_wav() which reads from a packfile. Example:
   PACKFILE *packfile;
   SAMPLE *sample;

   packfile = pack_fopen("sound.wav", F_READ);
   if (!packfile)
      abort_on_error("Couldn't open sound.wav");

   sample = load_wav_pf(packfile);
   if (!sample)
      abort_on_error("Error loading sound.wav");

RETURN VALUE
Returns a pointer to the SAMPLE or NULL on error. Remember to free this sample later to avoid memory leaks.

SEE ALSO
load_wav(3)